---
categories: system
title: Howto Checkconf
...

Avant de redémarrer un daemon, il vaut mieux s'assurer que sa
configuration est correcte. Cette page se veut être une cheat sheet
des différentes commandes existantes.

Le classement est fait par rapport au port réservé pour le logiciel
puis par ordre alphabétique.

# sudo

~~~
# visudo -cf /etc/sudoers
~~~


# FTP

## proftpd

~~~
# proftpd -t
Checking syntax of configuration file
Syntax check complete.
~~~

# SSH

## OpenSSH

~~~
# sshd -T -f /etc/ssh/sshd_config
~~~

# Mail

## OpenSMTPD


~~~
# 

~~~

## Postfix

~~~
# postconf >/dev/null

~~~

# DNS

## Bind

~~~
# named-checkzone domain /path/to/zone
# named-checkconf /etc/bind/named.conf

~~~

## NSD

~~~
# 

~~~

## Unbound

~~~
# unbound-checkconf /var/unbound/etc/unbound.conf

~~~

# HTTP

## Apache

~~~
# apachectl -t

~~~

## Haproxy

~~~
# haproxy -c -f /etc/haproxy/haproxy,cfg

~~~

## httpd

~~~
# httpd -dnv

~~~

## Nginx

~~~
# nginx -t

~~~

## Varnish

~~~
# varnishd -Cf /etc/varnish/default.vcl > /dev/null

~~~

# Imap / pop

## courrier

~~~
# 

~~~

## Dovecot

~~~
# 

~~~

# BGP

## OpenBGPD

~~~
# bgpd -nf /etc/bgpd.conf

~~~
